Create a post
curl --request POST \
--url https://api.spacebring.com/feed/posts/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"post": {
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>"
}
],
"text": "<string>"
}
}
'{
"post": {
"comments": 123,
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"likes": 123,
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"height": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mime": "<string>",
"url": "<string>",
"width": 123
}
],
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pinned": true,
"liked": true,
"locale": "<string>",
"og": {
"url": "<string>",
"description": "<string>",
"image": "<string>",
"title": "<string>",
"type": "<string>",
"videoUrl": "<string>"
},
"text": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
}
}Feed
Create a post
Create a feed post.
OAuth
Required scopes:feedPOST
/
feed
/
posts
/
v1
Create a post
curl --request POST \
--url https://api.spacebring.com/feed/posts/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"post": {
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"key": "<string>"
}
],
"text": "<string>"
}
}
'{
"post": {
"comments": 123,
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"likes": 123,
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"media": [
{
"height": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"mime": "<string>",
"url": "<string>",
"width": 123
}
],
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
},
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pinned": true,
"liked": true,
"locale": "<string>",
"og": {
"url": "<string>",
"description": "<string>",
"image": "<string>",
"title": "<string>",
"type": "<string>",
"videoUrl": "<string>"
},
"text": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"deleteDate": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
}
}Authorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Body
application/json
Feed post to create.
Show child attributes
Show child attributes
Response
Created
Show child attributes
Show child attributes
Was this page helpful?
⌘I